%define name 	dkopp
%define version 6.4
%define release %mkrel 1

Summary: 	dkopp is a program used to copy or back-up disk files to DVD
Summary(de):	dkopp kopiert Sicherungs(Backup)-Dateien auf DVD
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	GPLv3+
Group: 		Archiving/Backup
URL: 		http://kornelix.squarespace.com/dkopp/
Source0:	%{name}-%{version}.tar.xz
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
Buildrequires: 	gcc-c++ 
BuildRequires:  %{_lib}gtk+3.0-devel
Buildrequires:	ImageMagick
Requires:	gtk+3.0
Obsoletes: %{name} < %{version}

%description
dkopp is a program used to copy or back-up disk files to DVD.
Full or incremental backups can be done, with full or incremental
DVD verification.

#german
%description -l de
dkopp ist ein Programm zum Kopieren der Sicherungs(Backup)-Dateien
einer Festplatte auf eine DVD. Die vollständigen oder inkrementellen
Sicherungen können mit Voll-oder Inkrementeller-DVD-Prüfung erfolgen.


%prep
%setup -q 


%build

%make PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=DKopp (DVD Backup)
Exec=%{name}
Icon=%{name}
Comment=Copy or back-up disk files to DVD
Comment[de]=Kopieren von Festplattendateien auf DVD oder ein Backup anlegen
Terminal=false
Type=Application
Categories=GTK;Utility;X-MandrivaLinux-System-Archiving-Backup;
EOF


# icon
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 icons/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 icons/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 icons/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

#remove
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/kornelix-dkopp.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc %{_datadir}/doc/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%{_datadir}/man/man1/dkopp.1.bz2

%changelog
* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> 6.4-1pclos2014
- 6.4

* Fri Mar 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 6.2-1pclos2012
- process

* Thu Mar 29 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 6.2-1pclos2012
- 6.2
- replaced gtk2 by gtk3
- fixed german translation, added german comment in desktop file section
- added %{_datadir}/man/man1/dkopp.1.bz2 in file section
- changed Licence to GPL3

* Thu Jul 15 2010 slick50 <lxgator@gmail.com> 5.3-1pclos2010
- 5.3

* Wed May 26 2010 slick50 <lxgator@gmail.com> 5.2-1pclos2010
- 5.2

* Mon Mar 01 2010 slick50 <lxgator@gmail.com> 5.1-1pclos2010
- 5.1

* Thu Feb 04 2010 Texstar <texstar at gmail.com> 5.0-2pclos2010
- fix menu

* Sat Dec 26 2009 slick50 <lxgator@gmail.com> 5.0-1pclos2010
- 5.0

* Sun Dec 13 2009 Texstar <texstar at gmail.com> 4.8-2pclos2010
- really fix rpm group

* Fri Nov 13 2009 slick50 <lxgator@gmail.com> 4.8-1pclos2010
- 4.8
- change rpm/synaptic group to Archiving/Backup (tex)
- change menu entry to X-MandrivaLinux-System-Archiving-Backup (tex)

* Wed Apr 15 2009 slick50 <lxgator@gmail.com> 4.6-1pclos2007
- 4.6
- removed patch0

* Mon Apr 06 2009 jrd <jonathandotson@ymail.com> 4.5-1pclos2007
- Updated to version 4.5 

* Mon Aug 04 2008 don_crissti <don_crissti@gmx.com> 4.3-1pclos2007
- initial build for PCLinuxOS
